echo off
cls
if "%1"=="" goto parmerr
if "%2"=="" goto parmerr
if "%3"=="" goto nosim

if "%1"=="%2" goto parmerr
if "%2"=="a:" goto wrongdisk
if "%2"=="b:" goto wrongdisk
if "%2"=="A:" goto wrongdisk
if "%2"=="B:" goto wrongdisk

if not exist %2\%3\fs4.* goto nosim 
if exist %2\%3\fs4inst.bat goto noflop

if exist %2\%3\sanfran.dy1 rename %2\%3\sanfran.dy1 sanfran.dyx > NUL
if exist %2\%3\sanfran.sc1 rename %2\%3\sanfran.sc1 sanfran.scx > NUL    
if exist %2\%3\sanfran.mod rename %2\%3\sanfran.mod sanfran.mox > NUL    
if exist %2\%3\cf.fs4 rename %2\%3\cf.fs4 cf_wnb.old 
if exist %2\%3\f1.dyn rename %2\%3\f1.dyn f1_old.dyn 
if exist %2\%3\custom*.* del %2\%3\custom*.* > NUL

echo.
echo INSTALLATION der HQ-Krnten/Steiermark Scenery
echo **********************************************
echo   Version 1.0 fr FS4 & ASD (A&AF empfohlen)
echo. 
echo Durch eine neue Methode die weniger Speicher braucht
echo nun gleichermaáen fr VFR und IFR geeignet !!!
echo.
echo Beachten Sie BITTE die LIESMICH.KTN Datei !!!
echo.
echo Senden Sie BITTE Ihre Registrierkarte ein, wir halten
echo Sie dann immer auf dem Laufenden in Sache FlightSim's
echo.

pause

cls
echo.
echo Installiere HQ-Krnten/Steiermark fr FltSim 4.0x
echo.
echo Bitte haben Sie etwas Geduld ...
copy %1\KTN_STM.exe %2\%3
copy %1\LIESMICH.KTN %2\%3
copy %1\FS4_ADD.exe %2\%3
cls

%2
cd %3

ktn_stm.exe 
del ktn_stm.exe
FS4_add.exe 
copy f1.dyn f1_aut.dyn
del FS4_ADD.exe

md sounds
cd sounds
copy %1\OEI_voc.exe
OEI_voc.exe 
del OEI_voc.exe
cd..

goto noerr

:abort
cls
echo.
echo Installation wurde durch den Anwender abgebrochen!
echo.
goto quit

:noerr
echo.
echo Die Installation wurde erfolgreich beendet ...
echo.
pause

cls
echo.
echo !!! ACHTUNG => WICHTIGER HINWEIS !!!
echo.
echo Ihre Dateien SANFRAN.SC1 und SANFRAN.DY1 wurden mit einem
echo X (*.SCX und *.DYX) deaktiviert da sie ev. stren wrden ...
echo.
echo Zum Fliegen in den USA mit den genannten SC1/DY1 Dateien
echo brauchen Sie diese nur wieder umzubenennen.
echo.
echo Beachten Sie dazu den Tip im Handbuch: PROBLEMBEHEBUNG/Ein Tip ...
echo.
echo Stellen Sie den SCENERY-DESIGNER unbedingt auf 61440 Bytes fr die
echo statische Scenery ein - sonst kann die umfangreiche Scenery nicht
echo geladen werden. Falls Sie "in der Wiese" stehen ist dies meist der
echo Grund dafr.
pause
cls
type liesmich.ktn |more
pause
cls
echo.
echo Wir wnschen viel Spaá beim Flug in der HQ-Krnten/Steiermark ...
echo.
echo FS4/FS5 Telefon-HOTLINE 0043-(0)5234-323700, Fax -323704
echo.
echo Vergessen Sie bitte nicht die Registrierkarte einzusenden ...
echo
goto quit

:parmerr
echo ACHTUNG: Eingabefehler !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo. 
echo Geben Sie bitte die Laufwerke und Ihr Flugsimulatorverzeichnis an
echo.
echo FS4INST [QUELLLAUFWERK] [ZIELLAUFWERK] [PFAD]
echo.
echo Beispiele:   FS4INST A: C: FLTSIM4
echo              FS4INST A: D: FS4
echo.
echo ACHTUNG: Zwischen [QUELLLAUFWERK]  [ZIELLAUFWERK]  [VERZEICHNISS]
echo          MUSS unbedingt jeweils ein Leerzeichen eingegeben werden
echo.
goto quit

:wrongdisk
echo ACHTUNG: Die HQ-Scenery Krnten/Steiermark
echo          MUSS unbedingt auf der Harddisk installiert werden
goto quit

:diskerr
echo.
echo Diskettenfehler!  Bitte berprfen Sie Ihr(e) Laufwerk(e)
goto quit

:noflop
echo.
echo Die Installation muá von Diskette (A: oder B:) erfolgen!
%2
cd %3
del fs4inst.bat
%1
goto quit

:nosim
echo.
echo In dem angegebenen Verzeichnis wurde KEIN FlightSim 4.0x gefunden !!!
echo.
echo Bitte geben Sie Laufwerke und Verzeichnis richtig an ...
pause
cls
goto parmerr

:quit
echo on
